Products - Generate Default Device Groups
產生產品的預設裝置群組。 '.default' 和 '.unassigned' 是系統定義的值,無法用於產品名稱。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureSphere/catalogs/{catalogName}/products/{productName}/generateDefaultDeviceGroups?api-version=2024-04-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
catalog
|
path | True |
string pattern: ^[A-Za-z0-9_-]{1,50}$ |
目錄的名稱 |
|
product
|
path | True |
string pattern: ^[\w][\w\s]{1,48}[\w]$|^\.default$|^\.unassigned$ |
產品名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
subscription
|
path | True |
string minLength: 1 |
目標訂用帳戶的標識碼。 |
|
api-version
|
query | True |
string minLength: 1 |
要用於這項作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 作業已順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Products_GenerateDefaultDeviceGroups
範例要求
範例回覆
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MyResourceGroup1/providers/Microsoft.AzureSphere/catalogs/MyCatalog1/products/MyProduct1/devicegroups/MyDeviceGroup1",
"name": "MyDeviceGroup1",
"properties": {
"description": "Device group description 1",
"osFeedType": "Retail",
"updatePolicy": "UpdateAll",
"allowCrashDumpsCollection": "Enabled"
}
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MyResourceGroup1/providers/Microsoft.AzureSphere/catalogs/MyCatalog1/products/MyProduct1/devicegroups/MyDeviceGroup2",
"name": "MyDeviceGroup2",
"properties": {
"description": "Device group description 2",
"osFeedType": "Retail",
"updatePolicy": "UpdateAll",
"allowCrashDumpsCollection": "Enabled"
}
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Allow |
允許損毀傾印值。 |
|
created |
建立資源的身分識別類型。 |
|
Device |
屬於產品資源的裝置群組資源。 |
|
Device |
DeviceGroup 清單作業的回應。 |
|
Error |
資源管理錯誤其他資訊。 |
|
Error |
錯誤詳細數據。 |
|
Error |
錯誤回應 |
|
OSFeed |
OS 摘要類型值。 |
|
Provisioning |
布建資源的狀態。 |
|
Regional |
區域數據界限值。 |
|
system |
與建立和上次修改資源相關的元數據。 |
|
Update |
更新原則值。 |
AllowCrashDumpCollection
允許損毀傾印值。
| 值 | Description |
|---|---|
| Enabled |
已啟用損毀傾印收集 |
| Disabled |
已停用損毀傾印收集 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DeviceGroup
屬於產品資源的裝置群組資源。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
資源的名稱 |
| properties.allowCrashDumpsCollection |
旗標,以定義使用者是否允許損毀傾印收集。 |
|
| properties.description |
string |
裝置群組的描述。 |
| properties.hasDeployment |
boolean |
裝置群組的部署狀態。 |
| properties.osFeedType |
裝置群組的作系統摘要類型。 |
|
| properties.provisioningState |
上次作業的狀態。 |
|
| properties.regionalDataBoundary |
裝置群組的區域數據界限。 |
|
| properties.updatePolicy |
更新裝置群組的原則。 |
|
| systemData |
包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。 |
|
| type |
string |
資源的型別。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts” |
DeviceGroupListResult
DeviceGroup 清單作業的回應。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string (uri) |
專案下一頁的連結 |
| value |
此頁面上的 DeviceGroup 專案 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
其他資訊。 |
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳細數據。 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |
OSFeedType
OS 摘要類型值。
| 值 | Description |
|---|---|
| Retail |
零售OS摘要類型。 |
| RetailEval |
零售評估 OS 摘要類型。 |
ProvisioningState
布建資源的狀態。
| 值 | Description |
|---|---|
| Succeeded |
已建立資源。 |
| Failed |
資源建立失敗。 |
| Canceled |
已取消資源建立。 |
| Provisioning |
正在布建資源 |
| Updating |
正在更新資源 |
| Deleting |
正在刪除資源 |
| Accepted |
已接受資源建立要求 |
RegionalDataBoundary
區域數據界限值。
| 值 | Description |
|---|---|
| None |
沒有數據界限 |
| EU |
歐盟數據界限 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的資源時間戳 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |
UpdatePolicy
更新原則值。
| 值 | Description |
|---|---|
| UpdateAll |
更新所有原則。 |
| No3rdPartyAppUpdates |
第三方應用程式原則沒有更新。 |